Un closable tabs are generated if i Close tabs by using middle button or click close button

rv:1.9.3a4pre)   ID:20100329040204

rv:1.9.3a4pre)   ID:20100329040204

Un closable tabs are generated if i Close tabs by using middle button or click close button while pages are loading.
When I carried out a command by mistake, this situation is a common thing.




Start Minefield with new profile
The following urls Bookmarked in a new folder named "Forder A".




The following urls Bookmarked in a new folder named "Forder B".



Right click on "Forder A" and Execute "Open All in Tabs". Wait complete loading.
Right click on "Forder B" and Execute "Open All in Tabs".
Close tabs by middle button quickly WHILE PAGES ARE LOADING.

Actual Results:
Un closable tabs are generated.
And there are many arrors in error connsole as folloes.

Error: browser.webProgress is undefined
Source file: 
Line: 

Error: this.preview is undefined
Source file: 
Line: 

Error: preview is undefined
Source file: 
Line: 


Un closable tabs(except last one by default) shouldn ot be generated.

This issue happens Namoroka too.
(Windows; U; Windows NT  en-US; rv:1.9.2.3pre)   ID:20100327042606
